Package com.oracle.truffle.api.dsl

## Annotation Type ImportGuards

    @Retention(RUNTIME)
    @Target(TYPE)
    public @interface ImportGuards

Imports all public static methods usable as guards for `Specialization` annotations to the current class. Using this annotation common guards can be shared across nodes. Imported guards are derived from super classes. Guards declared in the node type hierarchy are always preferred to imported guards. Imported guards for a more concrete type are preferred to guards imported in the base class.

### Required Element Summary

Required Elements
`java.lang.Class<?>[]` `value`

### Element Detail

#### value

    java.lang.Class<?>[] value